Get Completed Transactions (GQL)

Note: All the GQL API's have the endpoint: /graphql

Use this API to retrieve the completed transactions of an account, excluding pending transactions.

Completed transactions are those successfully sent to the recipient. For example, an incoming return that has been successfully credited to the account is also considered a completed transaction. Similarly, when an outgoing ACH transaction is sent to the bank, it is marked as completed.

Body Params

These are the parameters for completed transaction

Query Parameters

ParameterDescriptionMandatoryData TypeExample
whereFilters the account transactions based on various conditions.OptionalSavingAccTrxnWhereParam{ id: { EQ: 123 }, createdAt: { GE: "2024-01-01T00:00:00Z" }, reversed: { EQ: false }, AND: [{ account: { id: { EQ: 456 } } }] }
pageSpecifies pagination details.OptionalPageAndStartParam{ start: 1, limit: 40 }

SavingAccTrxnWhereParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the transaction ID.OptionalSavingAccTrxnIdParam{ EQ: 123 }
createdAtFilters based on the creation date and time.OptionalSavingAccTrxnLocalDateTimeParam{ GE: "2024-01-01T00:00:00Z", LE: "2024-01-31T23:59:59Z" }
reversedFilters based on whether the transaction is reversed.OptionalSavingAccTrxnReversedParam{ EQ: false }
accountFilters based on account details.OptionalSavingAccTrxnAccountParam{ id: { EQ: 456 } }
ANDCombines multiple conditions with AND logic.Optional[SavingAccTrxnAndParam][{ account: { id: { EQ: 456 } }, createdAt: { GE: "2024-01-01T00:00:00Z" } }]
ORCombines multiple conditions with OR logic.Optional[SavingAccTrxnOrParam][{ paymentDetail: { reference: { LIKE: "%ref%" } }, subTypeOf: { EQ: 2 } }]

SavingAccTrxnReversedParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the reversed status equals a specified value.OptionalBooleanfalse

SavingAccTrxnAndParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the transaction ID.OptionalSavingAccTrxnIdParam{ EQ: 123 }
accountFilters based on account details.OptionalSavingAccTrxnAccountParam{ id: { EQ: 456 } }
createdAtFilters based on the creation date and time.OptionalSavingAccTrxnLocalDateTimeParam{ GE: "2024-01-01T00:00:00Z", LE: "2024-01-31T23:59:59Z" }
initiatedAtFilters based on the initiation date and time.OptionalSavingAccTrxnLocalDateTimeParam{ GE: "2024-01-01T00:00:00Z", LE: "2024-01-31T23:59:59Z" }
typeOfFilters based on the transaction type.OptionalSavingAccTrxnTypeOfParam{ EQ: 2 }
ORCombines multiple conditions with OR logic.Optional[SavingAccTrxnOrParam][{ paymentDetail: { reference: { LIKE: "%ref%" } }, subTypeOf: { EQ: 2 } }]
paymentDetailFilters based on payment details.OptionalPaymentDetailParam{ reference: { LIKE: "%ref%" }, userInputReference: { LIKE: "%inputRef%" } }
statusFilters based on the transaction status.OptionalSavingAccTrxnStatusParam{ EQ: 1 }
amountFilters based on the transaction amount.OptionalSavingsAccountAmountParam{ GE: 100.0, LE: 200.0 }
subTypeOfFilters based on the transaction subtype.OptionalSavingAccTrxnSubTypeOfParam{ EQ: 1, IS_NULL: true }

SavingAccTrxnOrParam

ParameterDescriptionMandatoryData TypeExample
paymentDetailFilters based on payment details.OptionalPaymentDetailParam{ reference: { LIKE: "%ref%" }, userInputReference: { LIKE: "%inputRef%" } }
subTypeOfFilters based on the transaction subtype.OptionalSavingAccTrxnSubTypeOfParam{ EQ: 1, IS_NULL: true }

PaymentDetailParam

ParameterDescriptionMandatoryData TypeExample
referenceFilters based on the payment reference.OptionalSavingAccTrxnReferenceParam{ LIKE: "%ref%" }
userInputReferenceFilters based on the user input reference.OptionalSavingAccTrxnUserInputReferenceParam{ LIKE: "%inputRef%" }
correlationIdFilters based on the correlation ID.OptionalSavingAccTrxnCorrelationIdParam{ EQ: "corr123" }
paymentTypeFilters based on the payment type.OptionalSavingAccTrxnPaymentTypeParam{ id: { EQ: 1 }, name: { EQ: "ACH" } }
cardAuthorizationFilters based on card authorization details.OptionalSavingAccTrxnCardAuthorizationParam{ merchantMcc: { EQ: "MCC123" }, card: { id: { EQ: 789 } } }
cardSettlementFilters based on card settlement details.OptionalSavingAccTrxnCardSettlementParam{ id: 123, amount: 100.0, externalId: "ext123" }
ORCombines multiple conditions with OR logic.Optional[SavingAccTrxnPaymentDetailOrParam][{ reference: { LIKE_: "%ref%" } }]

SavingAccTrxnPaymentDetailOrParam

ParameterDescriptionMandatoryData TypeExample
referenceFilters based on the payment reference with LIKE condition.OptionalSavingAccTrxnPaymentDetailReferenceParam{ LIKE_: "%ref%" }

SavingAccTrxnPaymentDetailReferenceParam

ParameterDescriptionMandatoryData TypeExample
LIKE_Checks if the reference contains a specified substring.OptionalString"%ref%"

SavingAccTrxnCardSettlementParam

ParameterDescriptionMandatoryData TypeExample
idThe card settlement ID.OptionalLong123
amountThe amount of the card settlement.OptionalBigDecimal100.0
externalIdThe external ID of the card settlement.OptionalString"ext123"

SavingAccTrxnAccountParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the account ID.OptionalSavingAccTrxnAccountIdParam{ EQ: 456 }
statusFilters based on the account status.OptionalSavingsAccountStatusParam{ EQ: "ACTIVE" }
ORCombines multiple conditions with OR logic.Optional[SavingAccTrxnAccountOrParam][{ id: { EQ: 789 } }]

SavingAccTrxnAccountOrParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the account ID with OR logic.OptionalSavingAccTrxnAccountIdOrParam{ EQ: 789 }

SavingAccTrxnAccountIdOrParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the account ID equals a specified value.OptionalLong789

SavingAccTrxnAccountIdParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the account ID equals a specified value.OptionalLong456

SavingAccTrxnIdParam

ParameterDescriptionMandatoryData TypeExample
INChecks if the transaction ID is in a list of values.Optional[Long!][123, 124, 125]
GTChecks if the transaction ID is greater than a value.OptionalLong100
LTChecks if the transaction ID is less than a value.OptionalLong200
EQChecks if the transaction ID equals a value.OptionalLong123

SavingAccTrxnLocalDateTimeParam

ParameterDescriptionMandatoryData TypeExample
GEChecks if the date and time is greater than or equal to a specified value.OptionalLocalDateTime"2024-01-01T00:00:00Z"
LEChecks if the date and time is less than or equal to a specified value.OptionalLocalDateTime"2024-01-31T23:59:59Z"
BETWEENChecks if the date and time is between two values.Optional[LocalDateTime]["2024-01-01T00:00:00Z", "2024-01-31T23:59:59Z"]

SavingAccTrxnTypeOfParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the transaction type equals a specified value.OptionalInt2
NINChecks if the transaction type is not in a list of values.Optional[Int!][1, 3, 4]
INChecks if the transaction type is in a list of values.Optional[Int!][2, 5]

SavingAccTrxnReferenceParam

ParameterDescriptionMandatoryData TypeExample
LIKEChecks if the reference contains a specified substring.OptionalString"%ref%"

SavingAccTrxnUserInputReferenceParam

ParameterDescriptionMandatoryData TypeExample
LIKEChecks if the user input reference contains a specified substring.OptionalString"%inputRef%"

SavingAccTrxnCorrelationIdParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the correlation ID equals a specified value.OptionalString"corr123"

SavingAccTrxnSubTypeOfParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the subtype equals a specified value.OptionalInt1
IS_NULLChecks if the subtype is null.OptionalBooleantrue
NEChecks if the subtype does not equal a value.OptionalInt2
INChecks if the subtype is in a list of values.Optional[Int!][1, 3, 5]
NINChecks if the subtype is not in a list of values.Optional[Int!][2, 4, 6]

SavingsAccountAmountParam

ParameterDescriptionMandatoryData TypeExample
GEChecks if the amount is greater than or equal to a specified value.OptionalBigDecimal100.0
LEChecks if the amount is less than or equal to a specified value.OptionalBigDecimal200.0
EQChecks if the amount equals a specified value.OptionalBigDecimal150.0

SavingAccTrxnStatusParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the status equals a specified value.OptionalInt1

SavingAccTrxnPaymentTypeParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the payment type ID.OptionalSavingAccTrxnPaymentTypeIdParam{ EQ: 1 }
nameFilters based on the payment type name.OptionalSavingAccTrxnPaymentTypeNameParam{ EQ: "ACH" }

SavingAccTrxnPaymentTypeIdParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the payment type ID equals a specified value.OptionalLong1

SavingAccTrxnPaymentTypeNameParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the payment type name equals a specified value.OptionalString"ACH"
INChecks if the payment type name is in a list of values.Optional[String!]["ACH", "Wire"]

SavingAccTrxnCardAuthorizationParam

ParameterDescriptionMandatoryData TypeExample
merchantMccFilters based on the merchant MCC code.OptionalCardAuthorizationMerchantMccParam{ EQ: "MCC123", IN: ["MCC123", "MCC456"] }
cardFilters based on card details.OptionalSavingAccTxnCardAuthorizationCardParam{ id: { EQ: 789 } }

SavingAccTxnCardAuthorizationCardParam

ParameterDescriptionMandatoryData TypeExample
idFilters based on the card ID.OptionalSavingAccTxnCardAuthorizationCardIdParam{ EQ: 789 }

SavingAccTxnCardAuthorizationCardIdParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the card ID equals a specified value.OptionalLong789

CardAuthorizationMerchantMccParam

ParameterDescriptionMandatoryData TypeExample
EQChecks if the merchant MCC code equals a specified value.OptionalString"MCC123"
INChecks if the merchant MCC code is in a list of values.Optional[String!]["MCC123", "MCC456"]

PageAndStartParam

ParameterDescriptionMandatoryData TypeExample
startThe starting point of the result set.YesNumber1
limitThe maximum number of results to return.YesNumber40
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json